Time tracking
Update space time tracking config
PATCH
/
{team_id}
/
time
/
tracking
/
spaces
/
{project_id}
/
config
Update time tracking config for a space
curl --request PATCH \
--url https://api.superthread.com/v1/{team_id}/time/tracking/spaces/{project_id}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/tracking/spaces/{project_id}/config"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.superthread.com/v1/{team_id}/time/tracking/spaces/{project_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"space_time_tracking_config": {
"team_id": "tDsu0j19",
"project_id": "2700",
"enabled": true
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".
Body
application/json
Toggle time tracking for cards in this space.
Response
Updated space time tracking configuration
Show child attributes
Show child attributes
⌘I
Update time tracking config for a space
